Bug 1311810 - nothing provides librsvg-2.so.2 needed by graphviz-2.38.0-33.fc24.i686 in Koji
nothing provides librsvg-2.so.2 needed by graphviz-2.38.0-33.fc24.i686 in Koji
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1309504
  Show dependency treegraph
 
Reported: 2016-02-24 22:39 EST by Randy Barlow
Modified: 2016-02-25 12:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 12:38:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Koji root.log (80.94 KB, text/plain)
2016-02-24 22:39 EST, Randy Barlow
no flags Details

  None (edit)
Description Randy Barlow 2016-02-24 22:39:21 EST
Created attachment 1130422 [details]
Koji root.log

Hello!

Description of problem:
In attempting to build erlang-p1_mysql-1.0.1 in Koji, I received this error message on the i686 builder:

Error: nothing provides librsvg-2.so.2 needed by graphviz-2.38.0-33.fc24.i686

It seems that Koji was unable to install the package for Rawhide.

Version-Release number of selected component (if applicable):
2.38.0-33.fc24.i686

How reproducible:
Every time on Koji with rawhide builds.

Steps to Reproduce:
1. Attempt to build a package that has a build dependency on graphviz in Rawhide.

Actual results:
It will fail to install.

Expected results:
It should install.

Additional info:
I've attached the Koji root log from the build that had this issue. The build is:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13120969

I was also able to reproduce this in another Koji build on x86_64:

https://kojipkgs.fedoraproject.org//work/tasks/1187/13121187/root.log
Comment 1 Randy Barlow 2016-02-24 22:42:58 EST
I should mention that I am able to install graphviz and librsvg2 which provides the dependency on my Rawhide dev box just fine, so perhaps it's a Koji issue. I thought it was worth filing here just in case it was something more though.
Comment 2 Jaroslav Škarvada 2016-02-25 07:32:22 EST
The problem is untagged librsvg2 package. I could rebuild it, but I will not do it in case it's intentional. I am going to open infra ticket regarding this problem:

Warning: package librsvg2 is not in tag f25-build
Comment 3 Jaroslav Škarvada 2016-02-25 07:50:43 EST
I opened releng ticket:
https://fedorahosted.org/rel-eng/ticket/6356
Comment 4 Jaroslav Škarvada 2016-02-25 07:53:12 EST
It's blocking graphviz rebuild and probably other packages as well.
Comment 5 Randy Barlow 2016-02-25 12:38:46 EST
Thank you for reporting it to infra Jaroslav. It seems the issue is resolved as I am able to build again:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13129097

Note You need to log in before you can comment on or make changes to this bug.